<!-- Stored in resources/views/child.blade.php -->

@extends('layout.app')

@section('title', 'VPN')

@section('content')
    <div class="row"">
    <div class="col-md-12">
        <h1>VPN: {{ $currentVPN->displayName }}</h1>
        <h3>Usage</h3>
        Based on the Subnet there are only a limited numbers of ip which can used in this VPN.
        <div class="progress">
            <div class="progress-bar" role="progressbar" style="width: {{$percent}}%;" aria-valuenow="{{$percent}}" aria-valuemin="0" aria-valuemax="100">{{$percent}}%</div>
        </div>

        <h3 style="margin-top: 20px;">Config</h3>
        <table class="table">
            <tr>
                <th>Name/Device Name</th>
                <td><input disabled class="form-control" value="{{ $currentVPN->name }}"> </td>
            </tr>
            <tr>
                <th>Display Name</th>
                <td><input disabled class="form-control" value="{{ $currentVPN->displayName }}"> </td>
            </tr>
            <tr>
                <th>Public Key</th>
                <td><input disabled class="form-control" value="{{ $currentVPN->public_key }}"> </td>
            </tr>
            <tr>
                <th>Private Key</th>
                <td><input disabled class="form-control" value="{{ $currentVPN->private_key }}"> </td>
            </tr>
            <tr>
                <th>Network</th>
                <td><input disabled class="form-control" value="{{ $currentVPN->network }}"> </td>
            </tr>
        </table>

        <h3>Actions</h3>
        <table class="table">
            <tr>
                <th>Sync Peers</th>
                <td></td>
                <td><a href="/vpn/syncPeers" class="btn btn-primary btn-sm float-right">Run</a> </td>
            </tr>
            <tr>
                <th>Create Device on Server</th>
                <td>Only needed if Wireguard Server is new</td>
                <td><a href="/vpn/sendToServer" class="btn btn-danger btn-sm float-right">Run</a> </td>
            </tr>
        </table>
    </div>
    </div>
@endsection
